#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 	radekmas@tlen.pl

# Divide corpus into 10 subsets, which are afterwards used for cross-validation.

import codecs
import shutil
import sys
import os

def create_corpus_sets(source):
	i=0
	n = len(source)
	if source[n-1] == '/':
		source = source[0:(n-1)]
	dest = source+"_subsets"
	shutil.rmtree(dest,ignore_errors=True)
	os.mkdir(dest) 
	for root, subFolders, files in os.walk(source):
		rootFiles = os.listdir(root)
		if "ann_morphosyntax.xml" in rootFiles:
			dest_dir = os.path.join(dest+"/set"+str(i), os.path.relpath(root, start=source))
			shutil.copytree(root, dest_dir,symlinks = True) 
			i = (i+1)%10
	return dest
	
		
if len(sys.argv) <= 1:
	print "Usage: ./createCorpusSets corpusDir"	
else:	
	root = sys.argv[1]
	dest = create_corpus_sets(root)
	print dest
	
