#!/usr/bin/python

# Author: 	Radomir Mastalerz
# Email: 		radekmas@tlen.pl

# Phase 3. Program run straight after distributed computations are finished.

import maxEnt
import pprint
import time
import corpusInfo
from maxEnt import *


if len(sys.argv) <= 2:
	print "Usage: ./postDistributed subset n"	
else:	

	varsToLoad = [
		"tagCounter", "ctagCounter", "msdCounter",
		"onePossibleCtag", "onePossibleMsd", 
		"unigramWordCtagCounter", "unigramWordCtagAttrMsdCounter",
		"unigramCtagProb", "unigramMsdProb",
		"bestUnigramCtagForWord", "bestUnigramMsdForWordCtagAttr",
		"ctagModels", "msdModels",
		"globalResults"]

	t_start = time.time()
	subset = int(sys.argv[1])
	n = int(sys.argv[2])
	model = maxent(corpusInfo.getLearningCorpusList(subset),corpusInfo.getTestingCorpus(subset))
	model.loadModel(varsToLoad)
	model.combineDistributedModels(n)
	model.saveModel()
	model.testAll()
	model.saveModel()
	model.printSummary()
	t_end = time.time()
	
	print "TOTAL POST-DISTRUBUTED RUNNING TIME %d" % (t_end-t_start)
